Bug 149246 - ACPI buttons (hotkey) action triggered after few seconds
ACPI buttons (hotkey) action triggered after few seconds
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-02-21 11:34 EST by Robert Vojta
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Vojta 2005-02-21 11:34:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I've configured hotkeys via ACPI events. When I press hotkey, my action
script is called after few seconds (lets say 5 or more). Hotkeys are
configured in this way.

[root@echelon etc]# cat acpi/events/hotkey
event=hotkey ATKD .*
action=/etc/acpi/actions/hotkey.sh %e
[root@echelon etc]#

[root@echelon etc]# cat acpi/actions/hotkey.sh
#!/bin/bash

case "$3" in
# Mute button
00000032) /usr/bin/amixer set Master toggle
;;
...

It works perfectly (without delays) on my laptop with the vanilla 2.6.10.
My laptop is Asus M6887Ne. BTW the whole laptop is little bit faster with
the vanilla 2.6.10 ...


Version-Release number of selected component (if applicable):
2.6.10-1.766

How reproducible:
Always

Steps to Reproduce:
1. Configure hotkeys in the same way
2. Push the hotkey and .....wait.....
3.
  

Actual Results:  I have to wait before my action script is called. It's annoying.

Expected Results:  I don't want to wait, I want immediate action.

Additional info:

My laptop ...

00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller (rev 21)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller (rev 21)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788 Gigabit Ethernet (rev 03)
02:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
02:01.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
02:01.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 04)
02:02.0 Network controller: Intel Corp. PRO/Wireless 2200BG (rev 05)

... additional info on request.
Comment 1 Robert Vojta 2005-02-21 11:38:03 EST
/var/log/acpid contains received event, executing action, ... info, but
few seconds later than I pushed hotkey.
Comment 2 Dave Jones 2005-07-15 13:29:17 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:00:25 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.